Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.rules
Class Chest

    java.lang.Object
      com.ibm.able.examples.rules.Chest

All Implemented Interfaces:
  java.io.Serializable

public class Chest
extends java.lang.Object
implements java.io.Serializable

A chest has a name, contains items and knows what can unlock it.

See Also:
  Serialized Form

Constructor Summary
`Chest()`
`Chest(java.lang.String name)`
`Chest(java.lang.String name, java.lang.String contents, java.lang.String unlockedBy)`

Method Summary
`java.lang.String` | `getContents()`
`java.lang.String` | `getName()`
`java.lang.String` | `getUnlockedBy()`
`void` | `setContents(java.lang.String contents)`
`void` | `setName(java.lang.String name)`
`void` | `setUnlockedBy(java.lang.String unlockedBy)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Chest

    public Chest()

### Chest

    public Chest(java.lang.String name)

### Chest

    public Chest(java.lang.String name,
                 java.lang.String contents,
                 java.lang.String unlockedBy)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getContents

    public java.lang.String getContents()

### setContents

    public void setContents(java.lang.String contents)

### getUnlockedBy

    public java.lang.String getUnlockedBy()

### setUnlockedBy

    public void setUnlockedBy(java.lang.String unlockedBy)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005